package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.FacsSubCategory;

import java.util.List;

/**
 * 能源设施/系统子类Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface FacsSubCategoryMapper {
    /**
     * 查询能源设施/系统子类
     *
     * @param id 能源设施/系统子类主键
     * @return 能源设施/系统子类
     */
    FacsSubCategory selectSubCategoryById(Long id);

    /**
     * 查询能源设施/系统子类列表
     *
     * @return 能源设施/系统子类集合
     */
    List<FacsSubCategory> selectSubCategoryAll();

    /**
     * 查询能源设施/系统子类列表
     *
     * @param subCategory 能源设施/系统子类
     * @return 能源设施/系统子类集合
     */
    List<FacsSubCategory> selectSubCategoryList(FacsSubCategory subCategory);

    /**
     * 新增能源设施/系统子类
     *
     * @param subCategory 能源设施/系统子类
     * @return 结果
     */
    int insertSubCategory(FacsSubCategory subCategory);

    /**
     * 批量新增能源设施/系统子类
     *
     * @param list 能源设施/系统子类列表
     * @return 结果
     */
    void insertSubCategoryBatch(List<FacsSubCategory> list);

    /**
     * 修改能源设施/系统子类
     *
     * @param subCategory 能源设施/系统子类
     * @return 结果
     */
    int updateSubCategory(FacsSubCategory subCategory);

    /**
     * 删除能源设施/系统子类
     *
     * @param id 能源设施/系统子类主键
     * @return 结果
     */
    int deleteSubCategoryById(Long id);

    /**
     * 批量删除能源设施/系统子类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSubCategoryByIds(Long[] ids);

    /**
     * 批量删除能源设施/系统子类
     *
     * @param code 父分类ID
     * @return 结果
     */
    int deleteSubCategoryByParentCode(String code);
}
